<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package Custom Button for Magento 2
 */

namespace Amasty\CustomButton\Model\Config\Source;

class TargetType implements \Magento\Framework\Data\OptionSourceInterface
{
    public const BLANK = '_blank';

    public const SELF = '_self';

    public function toOptionArray(): array
    {
        return [
            ['value' => self::BLANK, 'label' => __('Blank')],
            ['value' => self::SELF, 'label' => __('Self')]
        ];
    }
}
